PUT api/v1/mobile/todo/tasks/{taskId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| taskId | integer |
Required |
Body Parameters
TaskRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| title | string |
None. |
|
| notes | string |
None. |
|
| dueDate | string |
None. |
|
| listId | integer |
None. |
|
| assignedToUserId | integer |
None. |
|
| assignedUserIds | Collection of integer |
None. |
|
| isImportant | boolean |
None. |
|
| addToMyDay | boolean |
None. |
|
| scope | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"title": "sample string 1",
"notes": "sample string 2",
"dueDate": "sample string 3",
"listId": 1,
"assignedToUserId": 1,
"assignedUserIds": [
1,
2
],
"isImportant": true,
"addToMyDay": true,
"scope": "sample string 6"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.